#include <stdio.h>

#include "twindex.h"


void Usage( const char *prog )
{
    int i = 0;
    static char *help[] = {
           "Options:",
           "\t-h    this help message, then exit.",
           "\t-s    select mode.  Select reflections from HKLF 4 file to make",
           "\t      a DIRAX input file.\n",
           "\t-r    reindex mode. Take reflections in HKLF 4 file which had",
           "\t      been collected with a composite cell setting, and reindex",
           "\t      them to a lattice based on single crystal.\n",
           "\t-o    overlap mode.  Calculate which reflections in a data set",
           "\t      contain intensity from overlap reflections from a twin",
           "\t      fragment.\n",
           "" };
           
    fprintf( stderr, "Usage: %s [ -h | -s | -r | -o ] <shelx_hklf4_filename>\n",
                      prog != NULL ? prog : DEFAULT_EXE_NAME );
    while( *help[i] ) {
        fprintf( stderr, "%s\n", help[i] ); 
        i++;
    }

    return;
}
