/* dialogs.h */
/*
 * Written by:
 *	Paul D. Boyle
 *	Department of Chemistry
 *	Box 8204
 *	North Carolina State University
 *	Raleigh, NC 27695-8204
 *
 *	February 1999
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version
 * 2 of the License, or (at your option) any later version.
 */
extern void SelectDialog(PromptData *data);
extern void ReIndexDialog(PromptData *data);
extern void TextDialog(const char *prompt, void *value, size_t val_size,
                       void *default_val, int data_type);
extern int GetShortAnswer(int *default_val);
extern void Get3x3Matrix(double m[][3]);
